HelperTestCase (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.dunit

## Class HelperTestCase

- java.lang.Object
- - org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase
  - - org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase
    - - org.apache.geode.cache.query.dunit.HelperTestCase

- All Implemented Interfaces:
    java.io.Serializable, org.apache.geode.test.dunit.cache.internal.CacheTestFixture, org.apache.geode.test.dunit.internal.DistributedTestFixture

      public abstract class HelperTestCase
      extends org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase

      `cache`

    - ### Fields inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `system, testNameForDistributedTestCase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelperTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createCacheServer(org.apache.geode.test.dunit.VM server, int port, java.util.Properties properties)`
    `protected void` | `createCachingProxyRegion(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.lang.Class valueConstraint)`
    `protected void` | `createCQ(org.apache.geode.test.dunit.VM vm, java.lang.String cqName, java.lang.String query, CqAttributes cqAttr)`
    `protected void` | `createIndex(org.apache.geode.test.dunit.VM vm, java.lang.String indexName, java.lang.String indexedExpression, java.lang.String regionPath)`
    `protected void` | `createPartitionRegion(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.lang.Class valueConstraint)`
    `protected void` | `createReplicatedRegion(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.lang.Class valueConstraint)`
    `protected org.apache.geode.test.dunit.AsyncInvocation` | `executeCQ(org.apache.geode.test.dunit.VM vm, java.lang.String cqName)`
    `protected java.util.Properties` | `getClientProperties()`
    `protected java.util.Properties` | `getServerProperties(int mcastPort)`
    `protected void` | `printIndexMapping(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.lang.String indexName)`
    `protected void` | `put(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.lang.Object key, java.lang.Object value)`
    `protected void` | `registerInterest(org.apache.geode.test.dunit.VM vm, java.lang.String regionName)`
    `protected void` | `startCacheServer(org.apache.geode.test.dunit.VM server, int port, java.util.Properties properties)`
    `protected void` | `startCacheServers(org.apache.geode.test.dunit.VM server)`
    `protected void` | `startClient(org.apache.geode.test.dunit.VM client, org.apache.geode.test.dunit.VM[] servers, int[] ports, int redundancyLevel, java.util.Properties properties)`
    `void` | `stopCacheServer(org.apache.geode.test.dunit.VM server)`

    - ### Methods inherited from class org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase

      `addExceptionTag1, basicGetCache, beginCacheXml, closeAllCache, closeCache, createExpiryRootRegion, createLonerCache, createRegion, createRegion, createRootRegion, createRootRegion, finishCacheXml, finishCacheXml, getCache, getCache, getCache, getCache, getCache, getClientCache, getClientCache, getDiskDir, getDiskDirs, getGemfireCache, getRootRegion, getRootRegion, hasCache, postTearDownCacheTestCase, preTearDown, preTearDownCacheTestCase, removeExceptionTag1`

    - ### Methods inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `basicGetSystem, cleanDiskDirs, cleanupAllVms, deleteBACKUPDiskStoreFile, destroyRegions, disconnectAllFromDS, disconnectFromDS, getBlackboard, getDistributedSystemProperties, getLonerSystem, getName, getSystem, getSystem, getSystemStatic, getTestClass, getTestMethodName, getUniqueName, initializeBlackboard, initializeDistributedTestCase, isConnectedToDS, nullSystem, postSetUp, postTearDown, postTearDownAssertions, preSetUp, preTearDownAssertions, setSystem, setUpDistributedTestCase, tearDownDistributedTestCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.test.dunit.internal.DistributedTestFixture

      `getDistributedSystemProperties, getName, postSetUp, postTearDown, postTearDownAssertions, preSetUp, preTearDownAssertions`

- - ### Constructor Detail

    - #### HelperTestCase

          public HelperTestCase()

  - ### Method Detail

    - #### createPartitionRegion

          protected void createPartitionRegion(org.apache.geode.test.dunit.VM vm,
                                               java.lang.String regionName,
                                               java.lang.Class valueConstraint)

    - #### createReplicatedRegion

          protected void createReplicatedRegion(org.apache.geode.test.dunit.VM vm,
                                                java.lang.String regionName,
                                                java.lang.Class valueConstraint)

    - #### createCachingProxyRegion

          protected void createCachingProxyRegion(org.apache.geode.test.dunit.VM vm,
                                                  java.lang.String regionName,
                                                  java.lang.Class valueConstraint)

    - #### createCQ

          protected void createCQ(org.apache.geode.test.dunit.VM vm,
                                  java.lang.String cqName,
                                  java.lang.String query,
                                  CqAttributes cqAttr)

    - #### registerInterest

          protected void registerInterest(org.apache.geode.test.dunit.VM vm,
                                          java.lang.String regionName)

    - #### createIndex

          protected void createIndex(org.apache.geode.test.dunit.VM vm,
                                     java.lang.String indexName,
                                     java.lang.String indexedExpression,
                                     java.lang.String regionPath)

    - #### printIndexMapping

          protected void printIndexMapping(org.apache.geode.test.dunit.VM vm,
                                           java.lang.String regionName,
                                           java.lang.String indexName)

    - #### put

          protected void put(org.apache.geode.test.dunit.VM vm,
                             java.lang.String regionName,
                             java.lang.Object key,
                             java.lang.Object value)

    - #### executeCQ

          protected org.apache.geode.test.dunit.AsyncInvocation executeCQ(org.apache.geode.test.dunit.VM vm,
                                                                          java.lang.String cqName)

    - #### stopCacheServer

          public void stopCacheServer(org.apache.geode.test.dunit.VM server)

    - #### startCacheServer

          protected void startCacheServer(org.apache.geode.test.dunit.VM server,
                                          int port,
                                          java.util.Properties properties)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createCacheServer

          protected void createCacheServer(org.apache.geode.test.dunit.VM server,
                                           int port,
                                           java.util.Properties properties)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### startCacheServers

          protected void startCacheServers(org.apache.geode.test.dunit.VM server)

    - #### startClient

          protected void startClient(org.apache.geode.test.dunit.VM client,
                                     org.apache.geode.test.dunit.VM[] servers,
                                     int[] ports,
                                     int redundancyLevel,
                                     java.util.Properties properties)

    - #### getClientProperties

          protected java.util.Properties getClientProperties()

    - #### getServerProperties

          protected java.util.Properties getServerProperties(int mcastPort)